package com.gic.cloud.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * 功能组件模块
 * @ClassName: FunctionModuleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/8 3:35 PM 
 */
public class FunctionModuleVo implements Serializable{
    private static final long serialVersionUID = 1359760668258180981L;

    /**
     * ID
     */
    private Integer functionModuleId;

    /**
     * 名称
     */
    private String functionModuleName;

    /**
     * 功能编码
     */
    private String functionModuleCode;

    /**
     * 功能模块说明
     */
    private String functionModuleDesc;

    /**
     * 运维操作人ID
     */
    private String operationId;

    /**
     * 运维操作人name
     */
    private String operationName;

    private String logo;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getFunctionModuleId() {
        return functionModuleId;
    }

    public FunctionModuleVo setFunctionModuleId(Integer functionModuleId) {
        this.functionModuleId = functionModuleId;
        return this;
    }

    public String getFunctionModuleName() {
        return functionModuleName;
    }

    public FunctionModuleVo setFunctionModuleName(String functionModuleName) {
        this.functionModuleName = functionModuleName;
        return this;
    }

    public String getFunctionModuleCode() {
        return functionModuleCode;
    }

    public FunctionModuleVo setFunctionModuleCode(String functionModuleCode) {
        this.functionModuleCode = functionModuleCode;
        return this;
    }

    public String getFunctionModuleDesc() {
        return functionModuleDesc;
    }

    public FunctionModuleVo setFunctionModuleDesc(String functionModuleDesc) {
        this.functionModuleDesc = functionModuleDesc;
        return this;
    }

    public String getOperationId() {
        return operationId;
    }

    public FunctionModuleVo setOperationId(String operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public FunctionModuleVo setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public FunctionModuleVo setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public FunctionModuleVo setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public FunctionModuleVo setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLogo() {
        return logo;
    }

    public FunctionModuleVo setLogo(String logo) {
        this.logo = logo;
        return this;
    }
}
