package com.gic.cloud.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-08 10:13
 */
public class IndexDTO implements Serializable {
    private static final long serialVersionUID = 5687670215343610800L;

    /**
     * 指标id
     */
    private Integer indexId;

    /**
     * 分类类型 1指标  2维度  3说明
     */
    private Integer classifyType;

    /**
     * 分类名
     */
    private String classifyName;

    /**
     * 是否应用指标 1是 0否
     */
    private Integer isAppIndex;

    /**
     * 关联应用指标
     */
    private String relAppIndex;

    /**
     *
     */
    private String code;

    /**
     *
     */
    private String name;

    /**
     * 指标级别
     */
    private Integer indexLevel;

    /**
     * 指标级别
     */
    private String indexLevelName;

    /**
     * 关联一级指标 ‘,’ 隔开
     */
    private String relTopLevel;

    /**
     * 单位
     */
    private Integer unitCode;

    /**
     * 单位
     */
    private String unitName;

    /**
     * 小数位数
     */
    private Integer decimalSize;

    /**
     * 数据类型   1流量   2存量
     */
    private Integer dataType;

    /**
     * 指标类型   1基础   2计算
     */
    private Integer indexType;

    /**
     * 基础组织维度
     */
    private String baseOrganized;

    /**
     * 基础时间维度
     */
    private String baseTime;

    /**
     * 更新频率  高/中/低
     */
    private String updateRate;

    /**
     * 更新频率 补充说明
     */
    private String updateRateRemark;

    /**
     * 口径/文案编辑
     */
    private String indexRemark;

    /**
     * 补充说明
     */
    private String complement;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer showStatus;

    private List<String> relModuleIdList;

    /**
     * 操作人id
     */
    private Integer optUserId;
    /**
     * 操作人name
     */
    private String optUserName;

    private Integer indexGroupId;
    private String indexGroupName;
    private String relTopLevelName;

    public Integer getIndexId() {
        return indexId;
    }

    public void setIndexId(Integer indexId) {
        this.indexId = indexId;
    }

    public Integer getClassifyType() {
        return classifyType;
    }

    public void setClassifyType(Integer classifyType) {
        this.classifyType = classifyType;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public Integer getIsAppIndex() {
        return isAppIndex;
    }

    public void setIsAppIndex(Integer isAppIndex) {
        this.isAppIndex = isAppIndex;
    }

    public String getRelAppIndex() {
        return relAppIndex;
    }

    public void setRelAppIndex(String relAppIndex) {
        this.relAppIndex = relAppIndex;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getIndexLevel() {
        return indexLevel;
    }

    public void setIndexLevel(Integer indexLevel) {
        this.indexLevel = indexLevel;
    }

    public String getIndexLevelName() {
        return indexLevelName;
    }

    public void setIndexLevelName(String indexLevelName) {
        this.indexLevelName = indexLevelName;
    }

    public String getRelTopLevel() {
        return relTopLevel;
    }

    public void setRelTopLevel(String relTopLevel) {
        this.relTopLevel = relTopLevel;
    }

    public Integer getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(Integer unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Integer getDecimalSize() {
        return decimalSize;
    }

    public void setDecimalSize(Integer decimalSize) {
        this.decimalSize = decimalSize;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public Integer getIndexType() {
        return indexType;
    }

    public void setIndexType(Integer indexType) {
        this.indexType = indexType;
    }

    public String getBaseOrganized() {
        return baseOrganized;
    }

    public void setBaseOrganized(String baseOrganized) {
        this.baseOrganized = baseOrganized;
    }

    public String getBaseTime() {
        return baseTime;
    }

    public void setBaseTime(String baseTime) {
        this.baseTime = baseTime;
    }

    public String getUpdateRate() {
        return updateRate;
    }

    public void setUpdateRate(String updateRate) {
        this.updateRate = updateRate;
    }

    public String getUpdateRateRemark() {
        return updateRateRemark;
    }

    public void setUpdateRateRemark(String updateRateRemark) {
        this.updateRateRemark = updateRateRemark;
    }

    public String getIndexRemark() {
        return indexRemark;
    }

    public void setIndexRemark(String indexRemark) {
        this.indexRemark = indexRemark;
    }

    public String getComplement() {
        return complement;
    }

    public void setComplement(String complement) {
        this.complement = complement;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<String> getRelModuleIdList() {
        return relModuleIdList;
    }

    public void setRelModuleIdList(List<String> relModuleIdList) {
        this.relModuleIdList = relModuleIdList;
    }

    public Integer getOptUserId() {
        return optUserId;
    }

    public void setOptUserId(Integer optUserId) {
        this.optUserId = optUserId;
    }

    public String getOptUserName() {
        return optUserName;
    }

    public void setOptUserName(String optUserName) {
        this.optUserName = optUserName;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }

    public Integer getIndexGroupId() {
        return indexGroupId;
    }

    public void setIndexGroupId(Integer indexGroupId) {
        this.indexGroupId = indexGroupId;
    }

    public String getIndexGroupName() {
        return indexGroupName;
    }

    public void setIndexGroupName(String indexGroupName) {
        this.indexGroupName = indexGroupName;
    }

    public void setRelTopLevelName(String relTopLevelName) {
        this.relTopLevelName = relTopLevelName;
    }

    public String getRelTopLevelName() {
        return relTopLevelName;
    }
}
