package com.gic.cloud.service;


import com.gic.cloud.dto.IndexDescDTO;
import com.gic.cloud.entity.TabIndexDesc;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-23 15:11
 */
public interface IndexDescService {

    List<IndexDescDTO> listByEnterpriseAndModule(Integer enterpriseId, String moduleId, String indexGroupName);

    List<IndexDescDTO> listByEnterpriseAndModuleDetail(Integer enterpriseId, String moduleId, String indexGroupName, Integer userId);

    List<IndexDescDTO> listRecycle(Integer enterpriseId, String moduleId, String indexGroupName, Integer userId);

    void sort(Integer enterpriseId, String moduleId, String indexGroupName, Integer indexDescEnterpriseId, Integer seq);

    TabIndexDesc getIndexDesc(Integer enterpriseId, Integer indexDescId);

    List<TabIndexDesc> listAllUnRel(List<Integer> indexDescIdList);

    List<TabIndexDesc> listByIds(List<Integer> indexDescIdList);

    TabIndexDesc getIndexDesc(String moduleId, String indexCode, String indexGroupName);

    void init(Integer enterpriseId);
}
